Bug 234797 - graphics/inkscape: Unable to save optimized svg
Summary: graphics/inkscape: Unable to save optimized svg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-gnome mailing list
URL:
Keywords:
Depends on:
Blocks: 219044
  Show dependency treegraph
 
Reported: 2019-01-09 18:55 UTC by georg-bsd
Modified: 2019-10-15 07:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments
fix python support (1.37 KB, patch)
2019-09-29 17:53 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description georg-bsd 2019-01-09 18:55:11 UTC
Inkscape cant create an optimized SVG on freebsd.

Reprodoction:
- create svg and save as test.svg (inkscape format)
- save copy as (optimized svg) - choose options and filename

Results:
- inkscape reports it can not safe svg file

Expected:
- inkscape saves optimized svg file

OS: 12.0-RELEASE

 pkg info inkscape
inkscape-0.92.3_7
Name           : inkscape
Version        : 0.92.3_7
Installed on   : Wed Jan  9 18:31:29 2019 CET
Origin         : graphics/inkscape
Architecture   : FreeBSD:12:amd64
Prefix         : /usr/local
Categories     : gnome graphics
Licenses       : LGPL21, GPLv2+, MPL11, GPLv3+
Maintainer     : gnome@FreeBSD.org
WWW            : http://www.inkscape.org
Comment        : Full featured open source SVG editor
Options        :
        CDR            : on
        DBUS           : off
        POPPLER        : on
        VISIO          : on
        WPG            : on
Comment 1 Max Brazhnikov freebsd_committer 2019-09-29 17:53:45 UTC
Created attachment 207939 [details]
fix python support

Inkscape expects "python" for Python executable and fails to find it. This patch fixes python support. Besides fixing reported problem with svg, python-based extensions now work also.
Comment 2 commit-hook freebsd_committer 2019-10-15 07:25:57 UTC
A commit references this bug:

Author: makc
Date: Tue Oct 15 07:25:12 UTC 2019
New revision: 514492
URL: https://svnweb.freebsd.org/changeset/ports/514492

Log:
  graphics/inkscape:
  - Repair Python based extensions:
    patch Inkscape to look for suffixed python binary and add missing runtime
    dependencies. This also fixes export to optimized SVG [1].

  PR:		234797 [1]
  Reported by:	georg-bsd
  Approved by:	gnome (maintainer timeout, 2 weeks)

Changes:
  head/graphics/inkscape/Makefile